Cabal-1.22.5.0: A framework for packaging Haskell software

Copyright | Duncan Coutts 2009
Maintainer | cabal-devel@haskell.org
Portability | portable
Safe Haskell | None
Language | Haskell98

Distribution.Simple.Program.Script

Description

This module provides an library interface to the `hc-pkg` program. Currently only GHC and LHC have hc-pkg programs.

Synopsis

- invocationAsSystemScript :: OS -> ProgramInvocation -> String
- invocationAsShellScript :: ProgramInvocation -> String
- invocationAsBatchFile :: ProgramInvocation -> String

# Documentation

invocationAsSystemScript :: OS -> ProgramInvocation -> String Source

Generate a system script, either POSIX shell script or Windows batch file as appropriate for the given system.

invocationAsShellScript :: ProgramInvocation -> String Source

Generate a POSIX shell script that invokes a program.

invocationAsBatchFile :: ProgramInvocation -> String Source

Generate a Windows batch file that invokes a program.